{
  "version": "0.2.0",
  "configurations": [
    
    {
      "name": "[Compound] Debug Frontend without Backend",
      "type": "chrome",
      "request": "launch",
      "url": "http://localhost:3000",
      "webRoot": "${workspaceFolder}/frontend/src",
      "preLaunchTask": "Start Frontend",
      "postDebugTask": "Terminate All Tasks",
      "sourceMaps": true,
      "skipFiles": ["node_modules/**"],
      "runtimeExecutable": "/Applications/Google Chrome.app/Contents/MacOS/Google Chrome"
    },
    {
      "type": "node",
      "request": "launch",
      "name": "Debug Jest Tests",
      "program": "${workspaceRoot}/backend/node_modules/jest/bin/jest",
      "args": ["--runInBand"],
      "cwd": "${workspaceRoot}/backend",
      "console": "integratedTerminal",
      "internalConsoleOptions": "neverOpen"
    },
    {
      "type": "node",
      "request": "launch",
      "name": "Debug Backend",
      "skipFiles": [
        "<node_internals>/**",
        "node_modules/**"
      ],
      "cwd": "${workspaceFolder}/backend",
      "internalConsoleOptions": "openOnSessionStart",
      "env": {
        "LOCAL_MODE": "true"
      },
      "args": [
        "node_modules/ts-node/dist/bin.js",
        "--project",
        "${workspaceFolder}/backend/tsconfig.json",
        "-r",
        "tsconfig-paths/register",
        "src/index.ts"
      ],
      "runtimeArgs": [
        "-r",
        "ts-node/register",
        "--unhandled-rejections=strict",
        "--nolazy"
      ],
      "program": "${workspaceFolder}/backend/src/index.ts",
      "preLaunchTask": "Install Backend Dependencies"
    },
    {
      "name": "Debug Frontend",
      "type": "chrome",
      "request": "launch",
      "url": "http://localhost:3000",
      "webRoot": "${workspaceFolder}/frontend/src",
      "preLaunchTask": "only Frontend",
      "postDebugTask": "Terminate All Tasks",
      "sourceMaps": true,
      "skipFiles": ["node_modules/**"],
      "runtimeExecutable": "/Applications/Google Chrome.app/Contents/MacOS/Google Chrome"
    }
  ],
  "compounds": [
    {
      "name": "Debug Frontend and Backend",
      "configurations": ["Debug Backend", "[Compound] Debug Frontend without Backend"]
    }
  ]
}